// POV-Ray source file for making a sprite from a Meshwork model

#version 3.1;

global_settings { assumed_gamma 1.0 }

camera {
  location  <0.0, 3.5, -12.0>
  direction 1.5*z
  right     80/128*x			// output aspect ratio, e.g., 4/3
  look_at   <-0.2, 1.5,  0.0>
}

light_source {
  <-30, 30, -30> // light's position
  color red 1.0  green 1.0  blue 1.0  // light's color
}

light_source {
  <30, 50, -50> // light's position
  color red 1.0  green 1.0  blue 1.0  // light's color
}


// Set a color of the background (sky)
background { color red 100/255 green 100/255 blue 200/255 }

#switch (clock)
	#case (1)
	#case (9)
		#declare SpriteObj = #include "BetaMan (Walk1).inc"
		#break
	#case (2)
	#case (10)
		#declare SpriteObj = #include "BetaMan (Walk2).inc"
		#break
	#case (3)
	#case (11)
		#declare SpriteObj = #include "BetaMan (Walk3).inc"
		#break
	#case (4)
	#case (12)
		#declare SpriteObj = #include "BetaMan (Walk4).inc"
		#break
	#case (5)
	#case (13)
		#declare SpriteObj = #include "BetaMan (Walk5).inc"
		#break
	#case (6)
	#case (14)
		#declare SpriteObj = #include "BetaMan (Walk6).inc"
		#break
	#case (7)
	#case (15)
		#declare SpriteObj = #include "BetaMan (Walk7).inc"
		#break
	#case (8)
	#case (16)
		#declare SpriteObj = #include "BetaMan (Walk8).inc"
		#break
#end

#if (clock < 9)
	#declare ang = 60
#else
	#declare ang = -60
#end

object { SpriteObj scale 0.015 translate 2.3*y rotate ang*y }


